mon: users can create both pool snapshots and self-managed snapshots on a single pool
Status: Resolved % Done: 0%

Priority: Normal Spent time: 0.00 hour

Assignee: Greg Farnum   

Category: Monitor   

Target version: v0.47   

Source: Development Affected Versions:  

Tags:  ceph-qa-suite:  

Backport:  Pull request ID:  

Regression: No Crash signature (v1):  

Severity: 3 - minor Crash signature (v2):  

Reviewed:    

Description

When the OSD gets the map it breaks, but the Monitor will happily set both. There should be guard against that.

(See http://marc.info/?l=ceph-devel&m=133534478717808&w=2)

Associated revisions

Revision 18790b1f - 05/01/2012 12:24 AM - Greg Farnum 

osd: add is_unmanaged_snaps_mode() to pg_pool_t; use more consistently

Create an is_unmanaged_snaps_mode() function to parallel

is_pool_snaps_mode(), and replace all the checks directly referencing

removed_snaps or snaps with calls to these functions.

Fixes #2345.

Signed-off-by: Greg Farnum <gregory.farnum@dreamhost.com>

History

#1 - 04/25/2012 01:14 PM - Greg Farnum

- Status changed from New to In Progress

Ah, there are Monitor checks for this but they aren't quite right: they look at the contents of snaps and removed_snaps, but don't consider the

possibility that these things previously existed but have been erased.

I'm simplifying this by making use of the is_pool_snaps_mode() check (and adding a similar is_unmanaged_snaps_mode()).

#2 - 04/25/2012 01:41 PM - Greg Farnum

- Status changed from In Progress to Fix Under Review

Pushed a fix (and tested it using rados snap create and rbd snap create) to wip-2345-snaps.

#3 - 04/30/2012 05:25 PM - Sage Weil

- Status changed from Fix Under Review to Resolved
